[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| FFTWWriteRealAccessor< Real > Class Template Reference Accessors for FFTWComplex |

`#include <vigra/fftw3.hxx>`

Inheritance diagram for FFTWWriteRealAccessor< Real >:

List of all members.

## Public Types
typedef Real | value_type
| The accessor's value type.
## Public Member Functions
template<class ITERATOR >
void | set (value_type const &v, ITERATOR const &i) const
template<class ITERATOR , class DIFFERENCE >
void | set (value_type const &v, ITERATOR const &i, DIFFERENCE d) const

## Detailed Description

### template<class Real = double>
class vigra::FFTWWriteRealAccessor< Real >

Write a real number into a complex one. The imaginary part is set to 0.

#include <vigra/fftw3.hxx> (for FFTW 3) or
#include <vigra/fftw.hxx> (for deprecated FFTW 2)
Namespace: vigra

## Member Function Documentation

void set | ( | value_type const & | v,
|  | ITERATOR const & | i
| ) |  | const

Write real number at iterator position. Set imaginary part to 0.

Reimplemented from FFTWRealAccessor< Real >.

void set | ( | value_type const & | v,
|  | ITERATOR const & | i,
|  | DIFFERENCE | d
| ) |  | const

Write real number at offset from iterator position. Set imaginary part to 0.

Reimplemented from FFTWRealAccessor< Real >.

The documentation for this class was generated from the following file:

- vigra/fftw3.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)